package com.rjconsultores.ventaboletos.vo.pricing;

public class PricingMercado {

	private String descorigem;
	private Integer origemId;

	private String descdestino;
	private Integer destinoId;
	
	public PricingMercado() {
		super();
	}

	public PricingMercado(com.rjconsultores.ventaboletos.entidad.PricingMercado pricingMercado) {
		this();
		
		this.origemId = pricingMercado.getOrigen() != null ? pricingMercado.getOrigen().getParadaId() : null;
		this.descorigem = pricingMercado.getOrigen() != null ? pricingMercado.getOrigen().getDescparada() : null;
		
		this.destinoId = pricingMercado.getDestino() != null ? pricingMercado.getDestino().getParadaId() : null;
		this.descdestino = pricingMercado.getDestino() != null ? pricingMercado.getDestino().getDescparada() : null;
	}

	public String getDescorigem() {
		return descorigem;
	}

	public void setDescorigem(String descorigem) {
		this.descorigem = descorigem;
	}

	public Integer getOrigemId() {
		return origemId;
	}

	public void setOrigemId(Integer origemId) {
		this.origemId = origemId;
	}

	public String getDescdestino() {
		return descdestino;
	}

	public void setDescdestino(String descdestino) {
		this.descdestino = descdestino;
	}

	public Integer getDestinoId() {
		return destinoId;
	}

	public void setDestinoId(Integer destinoId) {
		this.destinoId = destinoId;
	}

}
